PyStatement (Jython API documentation)
Date: 2022-09-10

com.ziclix.python.sql

## Class PyStatement

- java.lang.Object
- - org.python.core.PyObject
  - - com.ziclix.python.sql.PyStatement

- All Implemented Interfaces:
    java.io.Serializable, Traverseproc

      public class PyStatement
      extends PyObject
      implements Traverseproc

  Class PyStatement
  Author:
    brian zimmer
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.python.core.PyObject

      `PyObject.ConversionException`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `STATEMENT_CALLABLE` Denotes a stored procedure call.
    `static int` | `STATEMENT_PREPARED` Denotes a PreparedStatement either explicitly created by the user, or from a cursor (due to the presence of bind parameters).
    `static int` | `STATEMENT_STATIC` Denotes a simple Statement with no parameters.

    - ### Fields inherited from class org.python.core.PyObject

      `gcMonitorGlobal, TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PyStatement(java.sql.Statement statement, java.lang.Object sql, int style)` Constructor PyStatement
    `PyStatement(java.sql.Statement statement, Procedure procedure)` Constructor PyStatement

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `__del__()` Delete the statement.
    `PyObject` | `__findattr_ex__(java.lang.String name)` Gets the value of the attribute name.
    `PyString` | `__str__()` Equivalent to the standard Python __str__ method.
    `PyUnicode` | `__unicode__()`
    `static void` | `classDictInit(PyObject dict)` Initializes the object's namespace.
    `void` | `close()` Method close
    `void` | `execute(PyCursor cursor, PyObject params, PyObject bindings)` Method execute
    `boolean` | `refersDirectlyTo(PyObject ob)` Optional operation.
    `java.lang.String` | `toString()`
    `int` | `traverse(Visitproc visit, java.lang.Object arg)` Traverses all directly contained `PyObject`s.

    - ### Methods inherited from class org.python.core.PyObject

      `__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delete__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __ensure_finalizer__, __eq__, __findattr__, __findattr__, __finditem__, __finditem__, __finditem__, __float__, __floordiv__, __format__, __ge__, __get__, __getattr__, __getattr__, __getitem__, __getitem__, __getnewargs__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __index__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iter__, __iternext__, __itruediv__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce__, __reduce_ex__, __reduce_ex__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __sub__, __tojava__, __truediv__, __trunc__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, bit_length, conjugate, delDict, delType, dispatch__init__, equals, fastGetClass, fastGetDict, getDict, getType, hashCode, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isIndex, isInteger, isMappingType, isNumberType, isSequenceType, noAttributeError, object___subclasshook__, readonlyAttributeError, setDict, setType`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### STATEMENT_STATIC

          public static final int STATEMENT_STATIC

      Denotes a simple Statement with no parameters.
      See Also:
        Constant Field Values

    - #### STATEMENT_PREPARED

          public static final int STATEMENT_PREPARED

      Denotes a PreparedStatement either explicitly created by the user, or from a cursor (due to the presence of bind parameters).
      See Also:
        Constant Field Values

    - #### STATEMENT_CALLABLE

          public static final int STATEMENT_CALLABLE

      Denotes a stored procedure call.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PyStatement

          public PyStatement(java.sql.Statement statement,
                             java.lang.Object sql,
                             int style)

      Constructor PyStatement
      Parameters:
        `statement` -
        `sql` -
        `style` -

    - #### PyStatement

          public PyStatement(java.sql.Statement statement,
                             Procedure procedure)

      Constructor PyStatement
      Parameters:
        `statement` -
        `procedure` -

  - ### Method Detail

    - #### __unicode__

          public PyUnicode __unicode__()

      Overrides:
        `__unicode__` in class `PyObject`

    - #### __str__

          public PyString __str__()

      Description copied from class: `PyObject`
      Equivalent to the standard Python __str__ method. The default implementation (in `PyObject`) calls `PyObject.__repr__()`, making it unnecessary to override `__str__` in sub-classes of `PyObject` where both forms are the same. A common choice is to provide the same implementation to `__str__` and `toString`, for consistency in the printed form of objects between Python and Java.
      Overrides:
        `__str__` in class `PyObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `PyObject`

    - #### __findattr_ex__

          public PyObject __findattr_ex__(java.lang.String name)

      Gets the value of the attribute name.
      Overrides:
        `__findattr_ex__` in class `PyObject`
      Parameters:
        `name` -
      Returns:
        the attribute for the given name

    - #### classDictInit

          public static void classDictInit(PyObject dict)

      Initializes the object's namespace.
      Parameters:
        `dict` -

    - #### __del__

          public void __del__()

      Delete the statement.

    - #### execute

          public void execute(PyCursor cursor,
                              PyObject params,
                              PyObject bindings)
                       throws java.sql.SQLException

      Method execute
      Parameters:
        `cursor` -
        `params` -
        `bindings` -
      Throws:
        `java.sql.SQLException`

    - #### close

          public void close()

      Method close

    - #### traverse

          public int traverse(Visitproc visit,
                              java.lang.Object arg)

      Description copied from interface: `Traverseproc`
      Traverses all directly contained `PyObject`s. Like in CPython, `arg` must be passed unmodified to `visit` as its second parameter. If `Visitproc.visit(PyObject, Object)` returns nonzero, this return value must be returned immediately by traverse. `Visitproc.visit(PyObject, Object)` must not be called with a `null` PyObject-argument.
      Specified by:
        `traverse` in interface `Traverseproc`

    - #### refersDirectlyTo

          public boolean refersDirectlyTo(PyObject ob)

      Description copied from interface: `Traverseproc`
      Optional operation. Should only be implemented if it is more efficient than calling `Traverseproc.traverse(Visitproc, Object)` with a visitproc that just watches out for `ob`. Must return `false` if `ob` is `null`.
      Specified by:
        `refersDirectlyTo` in interface `Traverseproc`

Jython homepage